Get upload
GET
workspaceTokenheader
AuthorizationBearer <vat_<opaque-token>>Expiring, hashed workspace token with explicit scopes.
workspace_id*Workspace IdFormat
uuidupload_id*Upload IdFormat
uuidSuccessful Response
application/json- response
compressed_bytes*Compressed Bytescontent_type*Content Typecreated_at*Created AtFormat
date-timeexpires_at*Expires AtFormat
date-timefile_count*integer|nullfilename*Filenameid*IdFormat
uuidmalware_status*Malware Statuspurpose*PurposeValue in
"artifact""repository_zip"removed_at*|nullsha256*Sha256unpacked_bytes*integer|nullupload_headers?upload_url?string|nullvalidation_error_code*string|nullvalidation_error_detail*string|nullvalidation_progress*Validation ProgressRange
0 <= value <= 100validation_stage*Validation StageValue in
"awaiting_upload""queued""downloading""inspecting_archive""scanning_malware""complete""rejected""failed"workspace_id*Workspace IdFormat
uuidcurl -X GET 'https://api.veriom.ai/v1/workspaces/497f6eca-6276-4993-bfeb-53cbbbba6f08/uploads/497f6eca-6276-4993-bfeb-53cbbbba6f08'Example Response
{ "compressed_bytes": 0, "content_type": "string", "created_at": "2019-08-24T14:15:22Z", "expires_at": "2019-08-24T14:15:22Z", "file_count": 0, "filename": "string", "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "malware_status": "string", "purpose": "artifact", "removed_at": "2019-08-24T14:15:22Z", "sha256": "string", "unpacked_bytes": 0, "upload_headers": { "property1": "string", "property2": "string" }, "upload_url": "string", "validation_error_code": "string", "validation_error_detail": "string", "validation_progress": 0, "validation_stage": "awaiting_upload", "workspace_id": "0967198e-ec7b-4c6b-b4d3-f71244cadbe9"}